> For the complete documentation index, see [llms.txt](https://docs.violet.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.violet.io/prism/reporting/distributions.md).

# Distributions

Exporting Distributions lets you access information that is not present in the dashboard by default, such as additional columns and filtering by specific date ranges. You can export Distributions to your local computer in the form of a CSV file to use in Excel or any other spreadsheet software.

You can learn details about what each column means, [here](/prism/reporting/distributions/columns.md).

To export Distributions, start by navigating to the Distributions dashboard on your Violet dashboard, as seen below:

![](https://res.cloudinary.com/ddhjp8mca/image/upload/v1709654470/mintlify/distributions-export/distribuions_landing_page_nhqbsr.png)

Next, click the “Export” button in the top right hand corner. This will open up the following modal:

![](https://res.cloudinary.com/ddhjp8mca/image/upload/v1709654468/mintlify/distributions-export/date_selection_hdakic.png)

Now select a date range for which you want to export Distributions and click “Next”:

![](https://res.cloudinary.com/ddhjp8mca/image/upload/v1709654468/mintlify/distributions-export/all_columns_pbhaov.png)

Here you can either export all columns for your date range, or select specific columns as seen below:

![](https://res.cloudinary.com/ddhjp8mca/image/upload/v1709654468/mintlify/distributions-export/custom_columns_rnqib0.png)

Now you can “Export”. Once you've clicked export, Violet will start generating this file. Since data can span over many months, this file generation can take more than a few minutes. You can wait on the same screen, or click “Notify me” to receive a notification in the notification center once export is complete.

If you've waited on the screen, you can click “Download” once the export is ready.

![](https://res.cloudinary.com/ddhjp8mca/image/upload/v1709654468/mintlify/distributions-export/export_complete_s4dx4x.png)

If you chose to receive a notification, you can Download the file directly from the notification.

![](https://res.cloudinary.com/ddhjp8mca/image/upload/v1709654469/mintlify/distributions-export/notify_me_z8rfiq.png)

![](https://res.cloudinary.com/ddhjp8mca/image/upload/v1709654469/mintlify/distributions-export/notification_ready_ev4lxe.png)

![](https://res.cloudinary.com/ddhjp8mca/image/upload/v1709654469/mintlify/distributions-export/notifications_landing_zpycmz.png)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.violet.io/prism/reporting/distributions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
